Bug 80559 - Please add DVB Support
Please add DVB Support
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-27 17:02 EST by Arion Blishen
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-28 11:27:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arion Blishen 2002-12-27 17:02:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
For more help and info can you ask the Linux DVB mailinglist at
http://www.linuxtv.org/mailinglists.xml so that this is included in the next
version of Red Hat

DVB is Digital Video Broadcast the 3 types of devices are
DVB-s = Satellite TV and/or Internet
DVB-t = Terrestrial ie. Digital TV broadcasts
DVB-c = Cable

The web page is at
http://www.linuxdvb.tv/
http://www.linuxtv.org/

The Satellite HOWTO is at http://www.tldp.org/HOWTO/Sat-HOWTO.html

http://linux.org.by/articles/ss1.html
http://tforums.com/happysat/viewforum.php?f=17

Get latest drivers and utils from CVS
cd /usr/src
cvs -d :pserver:anonymous@linuxtv.org:/cvs/linuxtv login
cvs -d :pserver:anonymous@linuxtv.org:/cvs/linuxtv co DVB

cvs -d:pserver:anonymous@cvs.dvbtools.sourceforge.net:/cvsroot/dvbtools login
cvs -z3 -d:pserver:anonymous@cvs.dvbtools.sourceforge.net:/cvsroot/dvbtools co
dvbtune

Some of what I have attempted so far
Install drivers CVS version
cd /usr/src
ln -s linux-2.4 linux
cd /usr/src/linux
After copying the correct config file for the kernel
Make sure that your kernel has enabled: video4linux support (CONFIG_VIDEODEV),
Input Core Support (CONFIG_INPUT) and event device support (CONFIG_INPUT_EVDEV)
make mrproper  #(is this needed ?)
cp configs/kernel-2.4.18-athlon.config .config
make oldconfig #(is this needed ?)
make dep
#make bzImage  #(is this needed ?)
make modules  #(is this needed ?)
depmod -a
I built the drivers using the instructions in README and INSTALL
cd /usr/src/DVB/driver
make
make insmod
lsmod

For TV:
to use tuxzap:
cd /usr/src/DVB/libdvb
make
cd /usr/src/DVB/apps/tuxzap
Read instructions
compile and setup VDR

---------------------------------
lspci output is

00:0a.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.N/A
2.
3.
    

Additional info:
Comment 1 Arjan van de Ven 2002-12-30 05:51:05 EST
I wonder why the DVB people haven't submitted this for inclusion into the
upstream 2.4 kernel... if it is because it's not ready yet, I'd not be happy to
included it either :(
Comment 2 Arion Blishen 2002-12-30 14:37:46 EST
The DVB driver is in the 2.5.x kernel now and will be in 2.6 when released

Can you ask the DVB mailinglist for the info you need to get it in Red Hat 8.1.

Mandrake has the DVB Driver included why not Red Hat

The driver has been "ready" for a long time and VDR is great

Without this driver Red Hat users won't be able to use/watch Digital TV,
Satellite TV, Digital Cable TV, Satellite Internet, and more. Remember that
Digital TV is now taking off and support is needed.
Comment 3 Arion Blishen 2003-01-08 01:57:00 EST
Also see this thread

http://www.linuxtv.org/mailinglists/linux-dvb/2002/01-2002/msg00246.html

Will this be in Red Hat 8.1 ?
Comment 4 Dave Jones 2003-11-28 11:27:49 EST
With the approaching EOL of the earlier RHL products, the focus is now
on stability fixes only, so new features will not be added/backported.
Comment 5 Kimmo Koivisto 2004-01-09 01:18:15 EST
Now when 2.6 kernel is out there (DVB drivers included), we need 
userspace DVB tools for Redhat ES and Fedora. 

Note You need to log in before you can comment on or make changes to this bug.